// 忽略的错误信息
const ignoreMessages = [
  '已取消',
  '已支付',
  'cancel'
];

/**
 * 说明：
 * * 显示错误信息。
 * @param e 错误信息
 * @param title 弹窗标题
 * @param callback 弹窗确认回调
 */
export function showError(e: any, title = '提示', callback?: () => void) {
  console.log('showError', e);
  let message = '';
  if (e?.errMsg) 
    message = e.errMsg;
  else 
    message = '' + (e ?? '未知错误');
  for (const ignore of ignoreMessages) {
    if (message.includes(ignore))
      return;
  }
  uni.showModal({ 
    title,
    content: message,
    showCancel: false,
    success() {
      callback?.();
    }
  })
  uni.hideLoading();
}
